import request from '../index'
const prefix = 'resource/file'

export function getFileSystemList(data: any) {
  return request({
    url: `${prefix}/system/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function addFileSystem(data: object) {
  return request({
    url: `${prefix}/system/add`,
    method: 'post',
    data,
  })
}

export function delFileSystem(data: object) {
  return request({
    url: `${prefix}/system/delete`,
    method: 'post',
    data,
  })
}

export function updateFileSystem(data: object) {
  return request({
    url: `${prefix}/system/update`,
    method: 'post',
    data,
  })
}
